package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemAssembleWaybillBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.AssembleWaybillBean

/**
 * 运单列表ViewHolder
 */
class AssembleWaybillViewHolder(view: View) :
    BaseViewHolder<AssembleWaybillBean, ItemAssembleWaybillBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position

        // 点击运单
        itemView.setOnClickListener {
            clickListener?.onItemClick(position, 0)
        }

        binding.executePendingBindings()
    }
}
